> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.goanagram.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Patients



## OpenAPI

````yaml GET /api/auth/v1/patients/
openapi: 3.0.2
info:
  title: Anagram backend
  version: 1.0.0
servers:
  - url: https://api.anagram.care
    description: Authenticated API
security:
  - ApiToken: []
tags:
  - name: public-auth_Eligibility Request
    x-displayName: Eligibility Request
    description: >-
      Requesting patient's eligibility uses the following parameters:


      - First name (required)

      - Last name (required)

      - Date of birth (required)

      - Last four digits from SSN (optional)

      - Zip code (required)

      - Insurer Member ID (optional)

      - Request UID (optional)


      This call is asynchronous, it initiates an eligibility search and returns
      a UID assigned to this request.

      The result will be returned in two ways:

      - Via active [webhooks](https://provider.anagram.care/webhooks) once
      available - preferred.

      Request UID will be included in payload.

      - By calling the "Eligibility Result" endpoint - only to be used as
      fallback. Request UID is required.


      If specifying a UID, ensure it is unique. If omitted one will be generated
      automatically

      and included in the response for this API call.


      Authentication is required for this endpoint. Access token can be obtained

      in [provider app](https://provider.anagram.care/). Access token must be
      sent in `Authorization` header,

      prefaced with `API `:


      `Authorization: Api <key generated in provider app>`


      The response will contain the request UID or a validation error.


      Error examples:

      ```

      {
          "errors": {"$": ["Wrong insurer code"]}
      }

      ```

      ```

      {
          "errors": {
              "patient": {
                  "first_name": {"$": ["This field cannot be blank."]}
              }
          }
      }

      ```


      For testing purposes, you can include cheat codes in the request. Cheat
      codes can be provided in the fields

      `first_name`, `last_name`, and `member_id`. Here are some examples of
      cheat codes:


      - `mark_used`: This cheat code marks all benefits as used.


      - `dt_exam_used`: This cheat code marks exam benefit as used.


      - `no_oon`: Removes all out-of-network benefits from the plan.


      - `no_inn`: Removes all in-network benefits from the plan. You can use
      both `no_oon` and `no_inn` codes together to

      generate a plan without any benefits.


      - `delay_10`, `delay_30`: These codes introduce a delay in the response,
      causing it to wait for either 10 or 30

      seconds before providing an answer.


      - `big_family`: This cheat code adds multiple persons to the result.


      - `not_found`: Using this cheat code will delete all results.


      - `in_err_int`: This cheat code simulates a problem and triggers the
      `unexpected_error`.
  - name: public-auth_Eligibility Result
    x-displayName: Eligibility Result
    description: >-
      Eligibility search result will be sent to all active webhooks once
      available.

      As a fallback, you may call this endpoint to check result status and
      obtain the result.


      ### Status


      The `status` field in the response can have one of the following values:


      `complete` - Indicates that the search has been completed.


      `processing` - Signifies that the search is currently in progress, and it
      is recommended to retry the request later.


      `error` - Suggests that the search dit not finished successfully, and you
      can find descriptions of error codes

      below.


      ### Error codes


      `insurer_problem` – Insurer not available, please try again later


      `unexpected_error` – Unknown error


      ### Webhooks


      Add webhooks to receive results in the [provider
      app](https://provider.anagram.care/webhooks).

      Webhook payload will be identical to the response of this endpoint.


      When configuring a webhook you can provide a secret to sign the webhook
      payload

      and check the signature on the server side.


      Signature will be sent in `X-Signature` header in request to webhook
      endpoint.


      Signature is a request raw data signed with secret by HMAC SHA256
      algorithm. Python example:


      ```

      import hashlib

      import hmac


      def get_signature(secret_key: str, payload: str) -> str:
          return hmac.new(secret_key.encode(), payload.encode(), hashlib.sha256).hexdigest()
      ```
  - name: public-auth_Eligibility Details Request
    x-displayName: Eligibility Details Request
    description: |-
      Requesting plan for patient's eligibility uses the following parameters:

      - Initial request uid (required)
      - Result id from initial request (required)
      - Person id from initial request (required)
      - Details request UID (optional)
  - name: public-auth_Patient
    x-displayName: Patient
  - name: public-auth_Patient eligibility link
    x-displayName: Patient eligibility link
paths:
  /api/auth/v1/patients/:
    get:
      tags:
        - public-auth_Patient
      summary: List of Patients
      parameters:
        - in: query
          name: _page_number
          required: false
          schema:
            type: integer
            default: 0
        - in: query
          name: page_size
          required: false
          schema:
            type: integer
            default: 10
      responses:
        '200':
          description: JSON object response
          content:
            application/json:
              schema:
                required:
                  - result
                type: object
                properties:
                  result:
                    type: array
                    items:
                      type: object
                      required:
                        - created_at
                        - first_name
                        - last_name
                        - dob
                        - code
                        - location
                      properties:
                        created_at:
                          type: string
                          format: date-time
                        first_name:
                          type: string
                        middle_name:
                          type: string
                          nullable: true
                        last_name:
                          type: string
                        dob:
                          type: string
                          format: date
                        sex:
                          type: string
                        ssn_last_four:
                          type: string
                        address:
                          type: object
                          required:
                            - line1
                            - city
                            - zipcode
                            - state
                          properties:
                            line1:
                              type: string
                            line2:
                              type: string
                            recipient:
                              type: string
                              nullable: true
                            city:
                              type: string
                            zipcode:
                              type: string
                            state:
                              type: string
                        email:
                          type: string
                        phone:
                          type: string
                        account_number:
                          type: string
                          nullable: true
                        code:
                          type: string
                          format: string
                        location:
                          type: object
                          required:
                            - status
                            - title
                            - code
                          properties:
                            status:
                              type: string
                            title:
                              type: string
                              description: >-
                                Used for emails and UI (can be edited by
                                provider)
                            code:
                              type: string
                              format: string
                  prev:
                    type: string
                  previous:
                    type: string
                  next:
                    type: string
              examples:
                Example:
                  value:
                    result:
                      - created_at: '2025-03-17T13:51:16.700206+00:00'
                        first_name: michael
                        middle_name: null
                        last_name: enslin
                        dob: '1950-02-28'
                        sex: male
                        ssn_last_four: '1234'
                        address:
                          line1: 61st Street, Dolphin Hotel
                          line2: Room 1408
                          recipient: null
                          city: New York
                          zipcode: '10065'
                          state: NY
                        email: mike@foo.bar
                        phone: '1234567890'
                        account_number: null
                        code: PAT19T
                        location:
                          status: enabled
                          title: Title 55
                          code: LOC56T
                      - created_at: '2025-03-16T13:51:16.712693+00:00'
                        first_name: jane
                        middle_name: null
                        last_name: doe
                        dob: '2008-02-28'
                        sex: female
                        ssn_last_four: '1234'
                        address:
                          line1: 69 1st Street
                          line2: Apt. 14
                          recipient: null
                          city: New York
                          zipcode: '10066'
                          state: NY
                        email: jane@foo.bar
                        phone: '1234567890'
                        account_number: null
                        code: PAT20T
                        location:
                          status: enabled
                          title: Title 55
                          code: LOC56T
                  summary: Get list
components:
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: >
        Your API token prefaced with an "Api" prefix. Example value: "Api
        B3F4242424E3FDB4242424242A9C7642"

````